
CoCoALib - Feature #47

Feature # 39 (Closed): Squarefree factorization

Feature # 43 (Closed): Squarefree factorization - for polynomials

Squarefree factorization - multivariate polynomials

30 Nov 2011 17:28 - John Abbott

Status: Closed Start date: 30 Nov 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99532 Spent time: 4.45 hours

Description

A bit tricker than univariate.  Seems to need content-free factorization.

Subtasks:

Feature # 48: Squarefree factorization - multivariate polynomials, char 0 Closed

Feature # 49: Squarefree factorization - multivariate polynomials, char p > 0 Closed

Related issues:

Related to CoCoALib - Feature #40: Squarefree factorization - Alessio d'Ali` Closed 30 Nov 2011

Related to CoCoALib - Feature #515: Fn to "flatten" muliple polynomial extns New 02 Apr 2014

Related to CoCoALib - Feature #796: CoCoALib function for radical (or SqFree)... Closed 05 Nov 2015

Precedes CoCoALib - Feature #516: Make squarefreefactor work in multiple poly... New 02 Apr 2014

History

#1 - 20 Oct 2013 14:49 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

JAA is translating Alessio D'Ali's impl (in CoCoA5) into C++.

Most of the translation is complete, but it does not yet compile (even less pass the tests).

#2 - 23 Oct 2013 15:32 - John Abbott

Translation of d'Ali's impl is now complete.

Code has been checked in; incl doc and tests.

Some minor points remain outstanding (regarding execution speed and/or working in unusual rings); I've decided to ignore them for the time being.

Here are some "unusual" rings we should eventually handle:

QQ[x][y,z]

QQ(x)[y,z]  -- this should already work (if GCD works)

ZZ/(p)[x][y,z]

FrF(ZZ/(p)[x])[y,z]  -- this already works, I believe

#3 - 29 Oct 2013 13:06 - Anna Maria Bigatti
- Target version set to CoCoALib-0.99532

#4 - 02 Apr 2014 18:57 - John Abbott

- Status changed from In Progress to Closed

For many practical purposes this issue is complete.

True completion now depends on #515, so I shall close this, and add a new issue (to complete sqfr once 515 has been done).
